Bug 1579727 - glibc: Crash in __res_context_send after memory allocation failure
Summary: glibc: Crash in __res_context_send after memory allocation failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.5
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Florian Weimer
QA Contact: Sergey Kolosov
URL:
Whiteboard:
: 1579783 (view as bug list)
Depends On:
Blocks: 1565233
TreeView+ depends on / blocked
 
Reported: 2018-05-18 08:08 UTC by Florian Weimer
Modified: 2018-10-30 09:39 UTC (History)
14 users (show)

Fixed In Version: glibc-2.17-245.el7
Doc Type: Bug Fix
Doc Text:
Cause: The DNS stub resolver in glibc did not check for a failure to allocate name server data. Consequence: If the allocation failed, the process would crash due to a null pointer dereference. Fix: The stub resolver now checks for failures when allocating name server data. Result: The allocation error is reported to the caller, leading to a name resolution failure, but no process crash.
Clone Of:
Environment:
Last Closed: 2018-10-30 09:38:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3092 None None None 2018-10-30 09:39:09 UTC
Sourceware 23005 None None None 2019-04-24 19:14:59 UTC

Description Florian Weimer 2018-05-18 08:08:11 UTC
This was reported upstream as a reliability issue.  Fix:

commit f178e59fa5eefbbd37fde040ae8334aa5c857ee1
Author: Andreas Schwab <schwab@suse.de>
Date:   Tue Mar 27 12:16:11 2018 +0200

    Fix crash in resolver on memory allocation failure (bug 23005)

Comment 1 Florian Weimer 2018-05-18 08:09:23 UTC
Subsequent cleanup:

commit dae6c43c33ed2d29d6d7089958ad707759a48517
Author: Andreas Schwab <schwab@suse.de>
Date:   Thu May 17 13:04:46 2018 +0200

    Remove unneeded setting of errno after malloc failure

Comment 3 Florian Weimer 2018-05-18 10:53:29 UTC
*** Bug 1579783 has been marked as a duplicate of this bug. ***

Comment 12 errata-xmlrpc 2018-10-30 09:38:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:3092


Note You need to log in before you can comment on or make changes to this bug.